org.apache.ignite.internal.pagemem.wal.record

## Class CacheState.PartitionState

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.CacheState.PartitionState

Enclosing class:
  CacheState

    public static class CacheState.PartitionState
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CacheState.PartitionState(long size, long partCnt)`

### Method Summary

Methods
`long` `partitionCounter()`
`long` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheState.PartitionState

    public CacheState.PartitionState(long size,
                             long partCnt)

Parameters:
  `size` - Partition size.
  `partCnt` - Partition counter.

### Method Detail

#### size

    public long size()

Returns:
  Partition size.

#### partitionCounter

    public long partitionCounter()

Returns:
  Partition counter.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017